// SysTrayDlg.h : header file
//

#pragma once

#define MYWM_NOTIFYICON (WM_USER+1)


// CSysTrayDlg dialog
class CSysTrayDlg : public CDialog
{
// Construction
public:
	CSysTrayDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SYSTRAY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CMenu m_TrayMenu;
	//Displaying menu when right clicked on the system tray. Should be inside the class definition

	afx_msg LRESULT onTrayNotify(WPARAM, LPARAM);
	//Function to handle the user messages

	NOTIFYICONDATA tnd;
	//Icon Data

	afx_msg void OnMenuItemone();
	afx_msg void OnMenuItemtwo();
	afx_msg void OnMenuItemthree();
	afx_msg void OnClose();
	afx_msg void OnDestroy();
};
